#pragma once

#include "image.h"

#include <string>

class AnimatedImage : public Image
{
private:
     int frames, updatesPerFrame;
     int frame , updatesLeftOnFrame;
     
public:
     AnimatedImage(std::string filename, int frames, int updatesPerFrame, int x=0, int y=0);
     virtual ~AnimatedImage();
     
public:
     virtual void update();
};
