#pragma once

#include "screen.h"
#include "image.h"
#include "circlingimage.h"
#include "animatedimage.h"
#include "SDL/SDL.h"

#include <vector>

class GameScreen : public Screen
{
public:
     GameScreen();
     virtual ~GameScreen();
     virtual Result runScreen();
     
private:
     Result status;
     std::vector<Image*> baddies;
     std::vector<Image*> goldCoins;
     CirclingImage* player;
     
private:
     void initialize();
     void handleInput();
     void updateAll();
     void drawAll(SDL_Surface* screen);
};
