#pragma once

#include "SDL/SDL.h"

class Area
{
private:
     SDL_Rect rect;
     int radius;
     friend class Image;
     
public:
     Area(int x, int y, int w, int h);
     Area();
     
     void x(int x);
     void y(int y);
     void xMidpoint(int x);
     void yMidpoint(int y);
     void w(int w);
     void h(int h);
     
     int x() const;
     int y() const;
     int xMidpoint() const;
     int yMidpoint() const;
     int w() const;
     int h() const;
     
/*1*/bool isCollidingWithRect(const Area& a) const;
     bool isCollidingWithCircle(const Area& a) const;
};
