#pragma once

#include "image.h"

#include <string>

class CirclingImage : public Image
{
private:
     int xStart, yStart, xCenter, yCenter;
     double dAngle, cAngle, radius;
     
public:
     CirclingImage(std::string filename, int x=0, int y=0);
     virtual ~CirclingImage();
     void setCircleParameters(double radius, double speed);
     void setCircleCenter(int x, int y);
     
public:
     virtual void update();
};
