#pragma once

#include "area.h"
#include "SDL/SDL.h"

#include <string>

class Image : public Area
{
protected:
     std::string source_filename;
     SDL_Surface *image;
     SDL_Rect image_rect;
     bool visible;
     
public:
     Image(std::string filename, int x=0, int y=0);
     virtual ~Image();
     bool getVisible();
     void setVisible(bool vis);
     
public:
     virtual void update();
     virtual void draw(SDL_Surface *screen);
};
